/* stylelint-disable scss/dollar-variable-pattern */
/* stylelint-enable scss/dollar-variable-pattern */
/* correction for product tile hover border*/
.smartbanner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 70px;
    overflow-x: hidden;
    background: #f8f8f8;
    font-family: Helvetica, sans, sans-serif;
    /** Android styles **/
}
@media (prefers-color-scheme: dark) {
    .smartbanner {
        color: #fff;
        background: #333;
    }
}
.smartbanner__exit {
    position: absolute;
    top: calc(50% - 6px);
    left: 12px;
    display: block;
    width: 12px;
    height: 12px;
    margin: 0;
    border: 0;
    text-align: center;
}
.smartbanner__exit, .smartbanner__exit:active, .smartbanner__exit:hover, .smartbanner__exit:focus {
    background: transparent;
    text-decoration: none;
    color: #000;
}
@media (prefers-color-scheme: dark) {
    .smartbanner__exit, .smartbanner__exit:active, .smartbanner__exit:hover, .smartbanner__exit:focus {
        color: #fff;
    }
}
.smartbanner__exit::before, .smartbanner__exit::after {
    content: " ";
    position: absolute;
    width: 1px;
    height: 12px;
    background: #000;
}
@media (prefers-color-scheme: dark) {
    .smartbanner__exit::before, .smartbanner__exit::after {
        background: #ccc;
    }
}
.smartbanner__exit::before {
    transform: rotate(45deg);
}
.smartbanner__exit::after {
    transform: rotate(-45deg);
}
.smartbanner__icon {
    position: absolute;
    top: 5px;
    left: 40px;
    width: 60px;
    height: 60px;
    background-repeat: no-repeat;
    background-size: 60px 60px;
}
.smartbanner__info {
    position: absolute;
    top: 9px;
    left: 108px;
    display: flex;
    align-items: center;
    width: 60%;
    overflow-y: hidden;
    color: #000;
}
@media (prefers-color-scheme: dark) {
    .smartbanner__info {
        color: #fff;
    }
}
.smartbanner__info__title {
    font-size: 14px;
    font-weight: 700;
    line-height: 1;
}
.smartbanner__info__description {
    max-width: 150px;
    font-size: 11px;
    line-height: 1.5;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.smartbanner__info__rating {
    line-height: 10px;
}
.smartbanner__info__star {
    width: 6px;
    height: 6px;
    color: #333;
}
@media (prefers-color-scheme: dark) {
    .smartbanner__info__star {
        color: #fff;
    }
}
.smartbanner__info__price {
    font-size: 9px;
    line-height: 2;
}
.smartbanner__button {
    position: absolute;
    top: 23px;
    right: 8px;
    z-index: 1;
    display: block;
    min-width: 10%;
    padding: 0 10px;
    border-radius: 5px;
    background: transparent;
    color: #007aff;
    font-size: 18px;
    text-align: center;
    text-decoration: none;
}
.smartbanner__button, .smartbanner__button:hover, .smartbanner__button:active, .smartbanner__button:focus {
    background: transparent;
    color: #007aff;
    text-decoration: none;
}
.smartbanner--ios .smartbanner__button {
    font-family: -apple-system, sans-serif;
    font-size: 17px;
}
.smartbanner--ios .smartbanner__button:lang(ko) {
    font-size: 0.9375rem;
}
.smartbanner__button__label {
    text-align: center;
}
.smartbanner.smartbanner--android .smartbanner__exit {
    top: calc(50% - 9px);
    left: 18px;
    width: 18px;
    height: 18px;
}
.smartbanner.smartbanner--android .smartbanner__exit::before, .smartbanner.smartbanner--android .smartbanner__exit::after {
    width: 2px;
    height: 18px;
}
.smartbanner.smartbanner--android .smartbanner__icon {
    top: 11px;
    left: 48px;
    width: 48px;
    height: 48px;
    background-size: 100% 100%;
}
.smartbanner.smartbanner--android .smartbanner__button {
    font-family: Roboto, Arial, sans-serif;
    right: 3px;
}
.smartbanner.smartbanner--android .smartbanner__button, .smartbanner.smartbanner--android .smartbanner__button:active, .smartbanner.smartbanner--android .smartbanner__button:hover, .smartbanner.smartbanner--android .smartbanner__button:focus {
    color: #000;
}
@media (prefers-color-scheme: dark) {
    .smartbanner.smartbanner--android .smartbanner__button, .smartbanner.smartbanner--android .smartbanner__button:active, .smartbanner.smartbanner--android .smartbanner__button:hover, .smartbanner.smartbanner--android .smartbanner__button:focus {
        color: #fff;
    }
}
.smartbanner.smartbanner--android .smartbanner__button:lang(ko) {
    font-size: 0.9375rem;
}
.smartbanner.smartbanner--android .smartbanner__button__label {
    text-transform: uppercase;
}

.modal-open .smartbanner,
.veiled .smartbanner {
    position: fixed;
}
